#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	wrapt
Summary:	Python module for decorators, wrappers and monkey patching
Summary(pl.UTF-8):	Moduł Pythona do dekorowania, opakowywania i łatania w locie
Name:		python3-%{module}
Version:	1.17.2
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/wrapt/
Source0:	https://files.pythonhosted.org/packages/source/w/wrapt/%{module}-%{version}.tar.gz
# Source0-md5:	f4db93e73e5c70a59955f0ec162d585d
URL:		https://github.com/GrahamDumpleton/wrapt
BuildRequires:	python3-devel >= 1:3.8
BuildRequires:	python3-setuptools >= 1:38.3.0
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The aim of the wrapt module is to provide a transparent object proxy
for Python, which can be used as the basis for the construction of
function wrappers and decorator functions.

The wrapt module focuses very much on correctness. It therefore goes
way beyond existing mechanisms such as functools.wraps() to ensure
that decorators preserve introspectability, signatures, type checking
abilities etc. The decorators that can be constructed using this
module will work in far more scenarios than typical decorators and
provide more predictable and consistent behaviour.

%description -l pl.UTF-8
Celem modułu wrapt jest dostarczenie przezroczystego proxy obiektów
dla Pythona. Można go używać jako podstawy do konstruowania opakowań
funkcji lub funkcji dekoratorów.

Moduł wrapt skupia się bardzo na poprawności - wykracza więc poza
istniejące mechanizmy, tkaie jak functools.wraps(), aby zapewnić, że
dekoratory zachowują introspekcje, sygnatury, możliwość sprawdzania
typów itp. Dekoratory tworzone przy użyciu tego modułu będą działać w
większej liczbie scenariuszy niż typowe dekoratory oraz zapewniać
bardziej przewidywalne i spójne zachowanie.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(echo $(pwd)/build-3/lib.*) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-wrapt.git;a=log;h=master

* Thu Jul 10 2025 Jakub Bogusz <qboosh@pld-linux.org> f9319c3
- updated to 1.17.2

* Mon Mar 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6278601
- Up to 1.17.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 87e8dbf
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e4e6c75
- python 3.13 rebuild

* Tue Sep 13 2022 Jakub Bogusz <qboosh@pld-linux.org> f512b18
- run tests with just built, not system wrapt

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 20fb797
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0133e06
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 1c9fcea
- updated to 1.13.3

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b9347bb
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4b06178
- release 2 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 2b93f6b
- updated to 1.12.1

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> 8f5a2fc
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5307629
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> dbb63ce
- updated to 1.11.2

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> e0bc304
- updated to 1.11.2

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c2f2bc2
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 325b9bd
- python 3.6
- release 2 (by relup.sh)

* Mon Dec 07 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 1504bca
- new package

